| Tilt Five NDK |

Public Member Functions
tiltfive::GlassesConnectionHelper Class Reference
Tilt Five™ Native Interface (C++)

Utility class to automate the Glasses exclusive connection process. More...

`#include <TiltFiveNative.hpp>`

## Public Member Functions
auto | glasses () -> Glasses &
| Obtain a reference to the wrapped tiltfive::Glasses object. More...
auto | awaitConnection () -> Result< void >
| Block until a connection is established. More...
auto | awaitConnection (const std::chrono::milliseconds timeout) -> Result< void >
| Block until a connection is established or timed out. More...
auto | consumeLastAsyncError () -> std::error_code
| Obtain and consume the last asynchronous error. More...

## Detailed Description

Utility class to automate the Glasses exclusive connection process.

See Using GlassesConnectionHelper for usage.

Definition at line 764 of file TiltFiveNative.hpp.

## Member Function Documentation

## ◆ awaitConnection() [1/2]

auto tiltfive::GlassesConnectionHelper::awaitConnection | ( |  | ) | -> Result<void>
| inline

Block until a connection is established.

Definition at line 850 of file TiltFiveNative.hpp.

## ◆ awaitConnection() [2/2]

auto tiltfive::GlassesConnectionHelper::awaitConnection | ( | const std::chrono::milliseconds | timeout | ) | -> Result<void>
| inline

Block until a connection is established or timed out.

Parameters

  [in] | timeout | - Time to wait for connection before timeout

Definition at line 871 of file TiltFiveNative.hpp.

## ◆ consumeLastAsyncError()

auto tiltfive::GlassesConnectionHelper::consumeLastAsyncError | ( |  | ) | -> std::error_code
| inline

Obtain and consume the last asynchronous error.

The connection process may produce errors asynchronously which can be detected by calling this.

Returns
  The last known error or a default std::error_code if no error was present

Definition at line 901 of file TiltFiveNative.hpp.

## ◆ glasses()

auto tiltfive::GlassesConnectionHelper::glasses | ( |  | ) | -> Glasses&
| inline

Obtain a reference to the wrapped tiltfive::Glasses object.

Definition at line 845 of file TiltFiveNative.hpp.

The documentation for this class was generated from the following file:

- TiltFiveNative.hpp